*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:Arial;
}

body{
height:100vh;
overflow:hidden;
display:flex;
justify-content:center;
align-items:center;
background:#000;
position:relative;
}

/* 🔥 BLUR BACKGROUND (ISI SAMPING) */
body::before{
content:'';
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:url('../img/bg-login.jpg') no-repeat center 80%;
background-size:cover;
filter:blur(30px) brightness(0.4);
transform:scale(1.1);
z-index:1;
}

/* 🔥 BACKGROUND UTAMA (TIDAK TERPOTONG BAWAH) */
body::after{
content:'';
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:url('../img/bg-login.jpg') no-repeat center 80%;
background-size:cover;
z-index:2;
}

/* CANVAS API */
#fireCanvas{
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
z-index:3;
pointer-events:none;
}

/* PETIR */
.lightning{
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
z-index:4;
animation:flash 6s infinite;
}

@keyframes flash{
0%,95%,100%{background:transparent;}
96%{background:rgba(255,255,255,0.3);}
98%{background:rgba(255,255,255,0.6);}
}

/* ASAP */
.smoke{
position:fixed;
bottom:0;
width:100%;
height:100%;
z-index:4;
pointer-events:none;
}

.smoke span{
position:absolute;
bottom:0;
width:150px;
height:150px;
background:rgba(200,200,200,0.08);
border-radius:50%;
filter:blur(40px);
animation:smoke 14s linear infinite;
}

@keyframes smoke{
0%{transform:translateY(0);opacity:0.2;}
100%{transform:translateY(-100vh);opacity:0;}
}

/* WRAPPER */
.login-wrapper{
position:relative;
z-index:5;
width:100%;
height:100vh;
display:flex;
justify-content:center;
align-items:center;
}

/* LOGIN BOX */
.login-box{
width:380px;
background:rgba(0,0,0,0.85);
padding:40px;
border-radius:15px;
border:1px solid gold;
box-shadow:0 0 60px orange;
}

/* TITLE */
.login-box h2{
color:gold;
margin-bottom:20px;
text-align:center;
}

/* INPUT & BUTTON */
.login-box input,
.login-box button{
width:100%;
padding:12px;
margin-bottom:15px;
border:none;
border-radius:6px;
}

/* INPUT */
.login-box input{
background:#111;
color:white;
}

/* BUTTON */
.login-box button{
background:gold;
font-weight:bold;
cursor:pointer;
transition:0.3s;
}

.login-box button:hover{
background:#e6c200;
}

/* ERROR */
.error{
background:#ff4444;
padding:10px;
margin-bottom:15px;
border-radius:5px;
color:white;
text-align:center;
}

.btn-back{
    display:block;
    margin-top:18px;
    text-align:center;
    padding:12px;
    border-radius:10px;
    background:rgba(255, 215, 0, 0.08);
    border:1px solid rgba(255, 215, 0, 0.4);
    color:gold;
    text-decoration:none;
    font-weight:500;
    letter-spacing:0.5px;
    transition:all 0.3s ease;
    backdrop-filter:blur(5px);
}

/* hover elegan */
.btn-back:hover{
    background:gold;
    color:#000;
    box-shadow:0 0 12px rgba(255,215,0,0.6);
    transform:translateY(-1px);
}

/* efek klik */
.btn-back:active{
    transform:scale(0.97);
}